Index: debian/changelog
===================================================================
--- debian/changelog	(revision 00d84337dc8860a7a0e8e5f0c49f73e38ef58a62)
+++ debian/changelog	(revision ea8f760415f1009686ea9668a708a530fc91ac3b)
@@ -1,2 +1,9 @@
+barnowl (1.1.1-3) unstable; urgency=low
+
+  *  Depend on zephyr3
+  * Abolish cdbs in favor of debhelper 7
+
+ -- Sam Hartman <hartmans@debian.org>  Wed, 22 Jul 2009 12:51:58 -0400
+
 barnowl (1.1.1-2) unstable; urgency=low
 
Index: debian/clean
===================================================================
--- debian/clean	(revision ea8f760415f1009686ea9668a708a530fc91ac3b)
+++ debian/clean	(revision ea8f760415f1009686ea9668a708a530fc91ac3b)
@@ -0,0 +1,4 @@
+perl/modules/Jabber/Makefile.old
+perl/modules/Jabber/Jabber.par
+perl/modules/IRC/Makefile.old perl/modules/WordWrap/Makefile.old
+perl/modules/IRC/IRC.par
Index: debian/control
===================================================================
--- debian/control	(revision 3ccc3dde4ea218c71ff398e8ed43b84fab4f6d29)
+++ debian/control	(revision ea8f760415f1009686ea9668a708a530fc91ac3b)
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sam Hartman <hartmans@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), autoconf, libglib2.0-dev, libzephyr-dev, libncurses5-dev, libncursesw5-dev, libkrb5-dev, libperl-dev, pkg-config, zip, libssl-dev, autotools-dev
+Build-Depends: debhelper (>= 7), autoconf, libglib2.0-dev, libzephyr-dev (>= 3.0~beta), libncurses5-dev, libncursesw5-dev, libkrb5-dev, libperl-dev, pkg-config, zip, libssl-dev, autotools-dev
 vcs-git: git://git.debian.org/git/collab-maint/barnowl.git
 vcs-browser: http://git.debian.org/?p=collab-maint/barnowl.git
-Standards-Version: 3.8.0
+Standards-Version: 3.8.2
 
 Package: barnowl
Index: bian/control.in
===================================================================
--- debian/control.in	(revision 4041f8e5187b4c0c130e493bae831cd32eb336d3)
+++ 	(revision )
@@ -1,30 +1,0 @@
-Source: barnowl
-Section: net
-Priority: optional
-Maintainer: Sam Hartman <hartmans@debian.org>
-Build-Depends: @cdbs@, libglib2.0-dev, libzephyr-dev, libncurses5-dev, libncursesw5-dev, libkrb5-dev, libperl-dev, pkg-config, zip
-Standards-Version: 3.7.2
-
-Package: barnowl
-Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, libnet-dns-perl, libauthen-sasl-perl, libdigest-sha1-perl, libgssapi-perl, libio-socket-ssl-perl, libpar-perl
-Suggests: zephyr-clients
-Description: A curses-based tty Jabber and Zephyr client
- A curses-based instant-messaging client supporting the Jabber, IRC, AIM and Zephyr  protocols.  Much of the functionality is written in
- Perl, which is supported as an extension language.
- .
- This is a fork of ktools software's owl Zephyr/AIM client.
-
-Package: barnowl-irc
-Architecture: all
-Depends: ${shlibs:Depends}, ${perl:Depends}, libnet-irc-perl, libclass-accessor-perl, barnowl
-Priority: extra
-Description: Provide IRC support for the BarnOwl Zephyr client
- Install the Perl-based IRC module which will add IRC support to
- BarnOwl the next time it is reloaded.
- .
- BarnOwl is a curses-based instant-messaging client supporting the
- Zephyr, Jabber, IRC and AIM protocols. Much of the functionality is
- written in Perl, which is supported as an etension language.
- .
- BarnOwl is a fork of ktools software's owl Zephyr/AIM client.
Index: debian/rules
===================================================================
--- debian/rules	(revision 485d885442f2a326427650ee3cddf0327f1fa07a)
+++ debian/rules	(revision ea8f760415f1009686ea9668a708a530fc91ac3b)
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
 
-DEB_CLEAN_EXCLUDE+=autom4te.cache
-
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-
-DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
 CFLAGS += -DOWL_VERSION_STRING=\"\\\"$(shell dpkg-parsechangelog | sed -ne 's/Version: //p')\\\"\" -D_FORTIFY_SOURCE=2 
 
-clean::
-	rm -f perl/modules/Jabber/Makefile.old
-	rm -f perl/modules/Jabber/Jabber.par
-	rm -f perl/modules/IRC/Makefile.old perl/modules/WordWrap/Makefile.old
-	rm -f perl/modules/IRC/IRC.par
+%:
+	dh $@  -Xautom4te.cache
+
